using BarContracts.BindingModels;
using BarContracts.SearchModels;
using BarContracts.ViewModels;

namespace BarContracts.StoragesContracts
{
    public interface IComponentStorage
    {
        List<ComponentViewModel> GetFullList();
        List<ComponentViewModel> GetFilteredList(ComponentSearchModel Model);
        ComponentViewModel? GetElement(ComponentSearchModel Model);
        ComponentViewModel? Insert(ComponentBindingModel Model);
        ComponentViewModel? Update(ComponentBindingModel Model);
        ComponentViewModel? Delete(ComponentBindingModel Model);
    }
}
